ZENworks Image Safe Data for Windows Editor (ziswin.exe)

Help for the ziswin.exe utility:

  • ZENworks Image Safe Data for Windows Editor

  • File Menu Options

  • Edit Menu Options

  • View Menu Option

  • Help Menu Options

A trademark symbol (®, TM, etc.) denotes a Novell trademark. An asterisk (*) denotes a third-party trademark.


ZENworks Image Safe Data for Windows Editor

Install the Novell® ZENworks® Imaging Windows Agent utility ( ziswin.exe) on a Windows* device to save certain device-unique data (IP address, computer name, etc.) to an area on the hard disk that is safe from re-imaging. After the device is re-imaged and Windows reboots, the ZENworks Imaging Windows Agent restores the data from the image-safe area so that the device can communicate on the network using its previous identity.

The ZENworks Imaging Windows Agent dialog box combines the capabilities of the Image-Safe Data Viewer (zisview) to let you view a device’s image-safe data and the Image-Safe Data Editor (zisedit) to let you edit this data.

The following sections explain the utility’s options:

  • File Menu Options

  • Edit Menu Options

  • View Menu Option

  • Help Menu Options

Image-safe data tasks:

Task

Steps

Reload

Click File > Reload Image-Safe Data.

Loads the device’s current image-safe data.

Save

Click File > Save Image-Safe Data > Save.

Saves the device’s image-safe data in its current state. If you have made modifications, they are saved to the image safe area.

Import from File

Click File > Import from File, browse to and select the .zis file containing the image-safe data to be imported, then click Open.

Allows you to apply image-safe data from a file to replace the device’s current image-safe data (see Export to File below).

Export to File

Click File > Export to File, browse to a location for saving the file, enter the filename (including the .zis extension), then click Save.

Allows you to export the device’s current image-safe data to a file for use on other devices (see Import from File above).

Modify image-safe data

Click Edit, then click Modify Image-Safe Data to open the Modify Image-Safe Data dialog box.

Select the different tabs on this dialog box to make your modifications. For more information, see Modify Image-Safe Data.

Clear

Click Edit > Clear Image-Safe Data.

Clears the image safe data for the device.

View content

Click Edit > Copy to Clipboard.

Open your Windows clipboard viewer to access the content of the image-safe data. This is the same information that is displayed when you first open the ZENworks Imaging Windows Agent dialog box.

Modify options

Click Edit, then click Options to open the ZENworks Imaging Windows Agent Options dialog box.

Select the different tabs on this dialog box to make your modifications. For more information, see Options.

View history

Click View > View History.

You can view the image-safe data's history, load a history file from another location, clear the workstation's image-safe data history, and view a specific history entry's details, including the image-safe data that was loaded during bootup and saved during shutdown. For more information, see View History Option.

To view a specific history entry's data, select the entry in the ZENworks Imaging Agent History dialog box, then click Details.

View utility version number

Click Help > About.


File Menu Options

The following File menu options are available:

  • Reload Image-Safe Data

  • Save Image-Safe Data

  • Import from File

  • Export to File

  • Exit

Reload Image-Safe Data

Loads the device’s image-safe data for viewing and editing.

Save Image-Safe Data

Saves the device’s unique information (IP address, computer name, etc.) to the image-safe data store. Any changes you made after loading it are saved, replacing the original image-safe data.

Import from File

Imports the image-safe data from a file and applies it to the device . You must browse to and select the .zis file containing the image-safe data.

Export to File

Exports the current state of the image-safe data to a file. You can browse to where you want to save the file and create the filename, which must include the .zis filename extension.

Exit

Exits the ZENworks Imaging Windows Agent utility.


Edit Menu Options

The following Edit menu options are available:

  • Modify Image-Safe Data

  • Clear Image-Safe Data

  • Copy to Clipboard

  • Options

Modify Image-Safe Data

Allows you to modify the image-safe data on a device.

The following sections describe how to modify the image-safe data of the device:

  • Imaging

  • Identity

  • Windows

  • IP Settings

  • DNS

Imaging

Use this tab to configure imaging operations for this device:

Just Imaged Flag: If this option is checked, the ZENworks Imaging Windows Agent reads data from the image-safe data store and writes it to the Windows registry. If this option is not checked, the ZENworks Imaging Windows Agent reads data from the Windows registry and writes it to the image-safe data store.

Last Base Image: Displays information about the last base image that was restored to this device. The imaging engine uses this information to prevent the same image from being restored to the device, unless you specify in ZENworks Control Center that the same image be restored.

  • File Name: The last base image that was restored to the device.

  • File Time: The time stamp of the last base image that was restored to the device.

  • File Size: The size of the last base image that was restored to the device.

Scripted Imaging: Indicates whether or not the last imaging operation was a scripted image.

  • Scripted Image Flag: If this option is checked, the last imaging operation was a scripted image. If this option is not checked, the last imaging operation was not a scripted image.

  • Script Checksum: Displays the checksum value representing the last script run. The imaging engine uses the checksum to prevent the same script from re-running on the device unless you specify in ConsoleOne® that you want to rerun the same script.

Identity

Use this tab to view the ZENworks identity of this device:

Device GUID: Displays the GUID of this device.

Zone GUID: Displays the GUID of the Management Zone where this device is registered.

Device ID: Displays the unique identifier for this device.

Windows

Use this tab to view the Windows identity of this device:

NETBIOS Name: Displays the Windows NETBIOS name for this device. For Windows 2000/XP/Vista devices, review the note at the bottom of the Windows tab.

Workgroup: Displays the network workgroup that this device belongs to, if any. A workgroup is a group of users who work on a common project and share information on interconnected computers, often over a LAN.

Workstation SID: Displays the device’s Security ID (SID), a unique number that identifies this device in Windows.

Clear SID: Clears this device’s SID. If you clear the device’s SID, the ZENworks Imaging Windows Agent will generate a new SID if the agent is run in Enabled mode. To specify that the agent run in Enabled mode, click Edit, click Options, then click Enabled on the Mode tab. You must also set the Just Imaged flag (click Edit, click Modify Image-Safe Data, then click Just Imaged Flag on the Imaging tab).

IP Settings

Use this tab to configure the IP settings stored in the image-safe data area of this device:

Uses DHCP to get an IP Address: Indicates that this device uses DHCP to obtain its IP address.

Uses a Static IP Address: Indicates that this device uses a static IP address.

  • IP Address: Displays the static IP address that this device uses.

  • Subnet Mask: Displays the subnet mask that this device uses.

  • Gateway: Displays the gateway that this device uses.

DNS

Use this tab to configure the DNS settings stored in the image-safe data area of this device:

DNS Suffix: Displays the DNS context of the device.

DNS Hostname: Displays the DNS local hostname of the device. For Windows 2000/XP/Vista, this is the Computer name plus the first 15 characters of the NETBIOS name.

DNS Server: Displays the names of DNS servers used for DNS name resolution. You can use the drop-down list to select another DNS server or you can use the browse button to enter additional DNS servers for this device.

Clear Image-Safe Data

Clears the image-safe data from the device

Copy to Clipboard

Allows you to obtain a copy of the device’s image-safe data.

Options

Allows you to modify the image-safe data options.

The following sections describe how to modify the image-safe data options:

  • Mode

  • Logging

  • Restore Mask

  • Collection Mask

Mode

Use this tab to select the mode for the ZENworks Imaging Windows Agent to run during the boot process:

Enabled: If this option is checked and the Just Imaged Flag is set ( File > Edit > Modify Image-safe Data > Imaging tab), the ZENworks Imaging Windows Agent reads data from the image-safe data store and writes it to the Windows registry.

If this option is checked but the Just Imaged Flag is not set, the ZENworks Imaging Windows Agent reads data from the Windows registry and writes it to the image-safe data store.

Disabled: If this option is checked, the ZENworks Imaging Windows Agent runs automatically during the boot process, but exits without doing any work.

  • Re-enable After _ Boot: Enable this option and specify the number of boot cycles that should take place before the ZENworks Imaging Windows Agent returns to an enabled state.

Uninstalled: : If this option is enabled, the ZENworks Imaging Windows Agent does not automatically run during the boot process.

Logging

Use this tab to specify history log and debug logging settings for the ZENworks Imaging Windows Agent:

History Logging:

  • History Log File: Click the browse button to specify the location in which you want to store the history log file ( ziswin.hst).

  • Maximum History Log Entries: Specify the maximum number of log entries that you want the history log file to contain. After the number of entries you enter in this field is reached, each new entry will cause the oldest entry to be discarded.

Debug Logging: The debug log file, ziswin.log, is located in the system temp directory if the ZENworks Imaging Windows Agent is run in service mode. The ZENworks Imaging Windows Agent runs, by default, in service mode during each Windows boot process when the device is started. When you run the ziswin.exe executable file, by default, the agent is started in interactive mode and ziswin.log will be located in the interactive user’s user temp directory.

  • Disabled: Turns off debug logging.

  • Single Log File: Enables debug logging and specifies that the current debug log file be overwritten during each boot process.

  • Multiple Log Files: Enables debug logging and specifies that a new debug log file is to be created during each boot process. Each new log file will be given a unique name ( ziswin x.log , where x represents a number that identifies each log file). Although these log files are small, you may want to periodically delete older files that you no longer need.

Restore Mask

Use this tab to prevent restoration of certain image-safe data components to the device when the ZENworks Imaging Windows Agent restores image-safe data.

Check box status:

  • Checked: The information is not restored to the device from the image-safe data.

  • Blank: The information is restored to the device from the image-safe data.

In other words, to prevent image-safe data from being restored to the device, check the box next to the desired component.

Collection Mask

Use this tab to prevent certain items from being overwritten in the image-safe data store when the ZENworks Imaging Windows Agent collects data from Windows.

Check box status:

  • Checked: The information is not written to the device’s image-safe data. Any corresponding existing image-safe data is not overwritten.

  • Blank: The information is collected from the device and stored with the device’s image-safe data. Any corresponding existing image-safe data is overwritten.

In other words, to prevent image-safe data from being overwritten, check the box next to the desired component.


View Menu Option

The View menu provides the following:

  • View History Option

  • Imaging Agent History Dialog Box

View History Option

Allows you to view the image-safe data history on this machine. This option opens the Imaging Agent History dialog box where you can view the image-safe data’s history, load a history file from another location, clear the device’s image-safe data history, and view a specific history entry’s details, including the image-safe data that was loaded during bootup and saved during shutdown.

The columns in the list box display the date and time that the ZENworks Imaging Windows Agent was run, the mode it was run in, and what was done (saved successfully, options changed, history log cleared, etc.).

You have the following options:

Load: Loads a history file from another location. Clicking Load opens the Open History File dialog box that you can use to browse to and open the history file ( *.hst).

Clear History: Clears the device’s image-safe data history (but not the image-save data).

Details: Displays the selected entry’s details in the Imaging Agent History Detail dialog box. This includes the mode the ZENworks Imaging Windows Agent was run in, the user’s name that ran the agent (if applicable), the events status, and a list of the image-safe data that was loaded during bootup and saved during shutdown.

To view a specific history entry’s data, select the entry in the Imaging Agent History dialog box, then click Details.

Imaging Agent History Dialog Box

This dialog box displays the following information:

  • Time of Agent Execution

  • Agent Mode

  • Status

  • Image-Safe Data Loaded

  • Image-Safe Data Saved


Help Menu Options

The following Help menu options are available:

  • Help

  • About

Help

To view this help, click Help, then select Help.

About

To view the version number of the installed ZENworks Imaging Windows Agent, click Help, then select About.